﻿using System;
using System.Diagnostics;
using GameUtils;

namespace GameUtils_Tutorial_Chapter2_CS
{
    public class CounterState : IBufferedState<CounterState>
    {
        public int Count { get; private set; }

        void IBufferedState<CounterState>.Update(CounterState oldState, TimeSpan elapsed)
        {
            this.Count = oldState.Count + 1;
            Debug.Print(this.Count.ToString());
        }
    }
}
